apache-airflow-providers-influxdb

Changelog

2.5.1

Misc

  • Faster 'airflow_version' imports (#39552)

  • Simplify 'airflow_version' imports (#39497)

2.5.0

Note

This release of provider is only available for Airflow 2.7+ as explained in the Apache Airflow providers support policy.

Misc

  • Bump minimum Airflow version in providers to Airflow 2.7.0 (#39240)

2.4.1

Misc

  • Get rid of pytest-httpx as dependency (#37334)

2.4.0

Note

This release of provider is only available for Airflow 2.6+ as explained in the Apache Airflow providers support policy.

Misc

  • Bump minimum Airflow version in providers to Airflow 2.6.0 (#36017)

2.3.0

Note

This release of provider is only available for Airflow 2.5+ as explained in the Apache Airflow providers support policy.

Misc

  • Bump min airflow version of providers (#34728)

2.2.3

Misc

  • Improve modules import in Airflow providers by some of them into a type-checking block (#33754)

2.2.2

Misc

  • Avoid importing pandas and numpy in runtime and module level (#33483)

2.2.1

Note

This release dropped support for Python 3.7

Misc

  • Add note about dropping Python 3.7 for providers (#32015)

2.2.0

Note

This release of provider is only available for Airflow 2.4+ as explained in the Apache Airflow providers support policy.

Misc

  • Bump minimum Airflow version in providers (#30917)

2.1.0

Note

This release of provider is only available for Airflow 2.3+ as explained in the Apache Airflow providers support policy.

Misc

  • Move min airflow version to 2.3.0 for all providers (#27196)

Features

2.0.0

Breaking changes

Note

This release of provider is only available for Airflow 2.2+ as explained in the Apache Airflow providers support policy.

1.1.3

Bug Fixes

  • Fix mistakenly added install_requires for all providers (#22382)

1.1.2

Misc

  • Add Trove classifiers in PyPI (Framework :: Apache Airflow :: Provider)

1.1.1

Misc

  • Support for Python 3.10

1.1.0

Features

  • Add influxdb operator (#19356)

Bug Fixes

1.0.0

Initial version of the provider.

Was this entry helpful?